Name: dstat
Summary: Pluggable real-time performance monitoring tool
Version: 0.7.2
Release: %mkrel 2
License: GPL
Group: System Environment/Base
URL: http://dag.wieers.com/home-made/dstat/

Source: http://dag.wieers.com/home-made/dstat/dstat-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python >= 2.7
Requires: python >= 2.7

%description
Dstat is a versatile replacement for vmstat, iostat, netstat and ifstat.
Dstat overcomes some of their limitations and adds some extra features,
more counters and flexibility. Dstat is handy for monitoring systems
during performance tuning tests, benchmarks or troubleshooting.

Dstat allows you to view all of your system resources in real-time, you
can eg. compare disk utilization in combination with interrupts from your
IDE controller, or compare the network bandwidth numbers directly
with the disk throughput (in the same interval).·

Dstat gives you detailed selective information in columns and clearly
indicates in what magnitude and unit the output is displayed. Less
confusion, less mistakes. And most importantly, it makes it very easy
to write plugins to collect your own counters and extend in ways you
never expected.

%prep
%setup

%build

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README TODO docs/*.html docs/*.txt examples/
%doc %{_mandir}/man1/dstat.1*
%{_bindir}/dstat
%{_datadir}/dstat/

%changelog
* Fri Aug 16 2013 billybot <billybot> 0.7.2-2pclos2013
- update python 2.7

* Mon Jul 02 2012 Neal <nealbrks0 at gmail dot com> 0.7.2-1pclos
- process

* Sun Jul 01 2012 Galen Seaman <galen.seaman@comcast.net> 0.7.2-1pclos
- build for PCLinuxOS
